---
title: Notification.badge
slug: Web/API/Notification/badge
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - badge
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>badge</code></strong> property of the {{domxref("Notification")}} interface returns the URL of the image used to represent the notification when there is not enough space to display the notification itself.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>url</var> = <var>Notification</var>.badge</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('USVString')}} containing a URL.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-badge','badge')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.badge")}}</p>
